org.apache.pdfbox.pdmodel.font

## Class PDPanose

- java.lang.Object
- - org.apache.pdfbox.pdmodel.font.PDPanose

    public class PDPanose
    extends Object

Represents the "Panose" entry of a FontDescriptor's Style dictionary. This is a sequence of 12 bytes which contain both the TTF sFamilyClass and PANOSE classification bytes.

Author:
  John Hewson

### Field Summary

Fields
`static int` `LENGTH` Length.

### Constructor Summary

Constructors
Constructor and Description
`PDPanose(byte[] bytes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getFamilyClass()` The font family class and subclass ID bytes, given in the sFamilyClass field of the “OS/2” table in a TrueType font.
`PDPanoseClassification` `getPanose()` Ten bytes for the PANOSE classification number for the font.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LENGTH

    public static final int LENGTH

Length.

See Also:
  Constant Field Values

### Constructor Detail

#### PDPanose

    public PDPanose(byte[] bytes)

### Method Detail

#### getFamilyClass

    public int getFamilyClass()

The font family class and subclass ID bytes, given in the sFamilyClass field of the “OS/2” table in a TrueType font.

See Also:
  http://www.microsoft.com/typography/otspec/ibmfc.htm

#### getPanose

    public PDPanoseClassification getPanose()

Ten bytes for the PANOSE classification number for the font.

See Also:
  http://www.monotype.com/services/pan1